#include <qapplication.h>
#include <qtimer.h>
#include ".ui/actionsDisplay.h"
#include "CheckQueue.h"

int main( int argc, char ** argv )
{
    QApplication a( argc, argv );
    
    ActionsDisplay *w = new ActionsDisplay;
    QTimer *timer = new QTimer();
    CheckQueue *checkq = new CheckQueue(w, timer);
    checkq->init();
    
    w->show(); 
    //a.connect( &a, SIGNAL( lastWindowClosed() ), w, SLOT( destroy() ) );
    a.connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT( quit() ) );
    //    a.connect( w, SIGNAL( sendQuit() ), &a, SLOT( quit() ) );
    

    a.connect( timer, SIGNAL(timeout()), checkq, SLOT(run()) );
    timer->start( 0 );       
    
    return a.exec();
}
